Name:           python-brown-phototour-revisited
Version:        0.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The package for local patch descriptors evaluation, which takes into account image indexes and second nearest neighbor ratio (SNN) filtering strategy. It is in agreement with IMC benchmark and practice, unlike the original protocol.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/ducha-aiki/brown_phototour_revisited/tree/master/
Source:         %{pypi_source brown_phototour_revisited}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'brown-phototour-revisited' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-brown-phototour-revisited
Summary:        %{summary}

%description -n python3-brown-phototour-revisited %_description


%prep
%autosetup -p1 -n brown_phototour_revisited-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-brown-phototour-revisited -f %{pyproject_files}


%changelog
%autochangelog